﻿@model MvcWebsiteOcc.Models.Language

@{
    ViewBag.Title = "Thêm ngôn ngữ";
    ViewBag.Description = "phan quyen";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>

                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/website_manager/languages_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>

                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">

                    <div id="registration-form">
                        <form role="form">
                            <div class="row">
                                <div class="col-lg-6 col-sm-6 col-xs-12">
                                    <div class="form-title">
                                        Thông tin ngôn ngữ
                                    </div>
                                    <div class="form-group">
                                        <span class="input-icon icon-right">
                                            @Html.TextBoxFor(p => p.Lang_Name, new { @class = "form-control", placeholder = "Tên ngôn ngữ" })

                                        </span>
                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Lang_Name)</span>
                                    </div>
                                    <div class="form-group">
                                        <span class="input-icon icon-right">
                                            @Html.TextBoxFor(p => p.Lang_Code, new { @class = "form-control", placeholder = "Mã ngôn ngữ" })

                                        </span>
                                        <span class="help-block">Ví dụ:  vi, en ...</span>
                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Lang_Code)</span>
                                    </div>
                                    <div class="form-group">
                                        <span class="input-icon icon-right">
                                            @Html.TextBoxFor(p => p.Lang_File, new { @class = "form-control", placeholder = "Mã vùng ngôn ngữ" })

                                        </span>
                                        <span class="help-block">Ví dụ: vi_VN, en_Us ...</span>
                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Lang_File)</span>

                                    </div>

                                    <div class="form-group">
                                        <div class="checkbox">
                                            <label>
                                                <input id="IsDefault" class="colored-danger" name="IsDefault" type="checkbox" value="true" />
                                                <input type="hidden" value="false" /><span class="text">Mặc định</span></label>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-6 col-sm-6 col-xs-12">
                                    <div class="form-title">
                                        File ngôn ngữ
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                            <span class="help-block">Chỉ có thể upload file .xml !</span>
                                        </div>

                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                            @(Html.Kendo().Upload()
                                                        .Name("file_lang")
                                                        .TemplateId("langTemplate")
                                                        .Events(events => events.Select("onSelectFile"))
                                                        .Messages(m => m.Select("Upload file"))
                                                        .Multiple(false)

                                                       )

                                            <script id="langTemplate" type="text/x-kendo-template">
                                            <span class='k-progress'></span>
                                            <img class='k-icon #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                            <span class='k-filename'>#=name#</span>
                                            <strong class="k-upload-status">
                                                <button type="button" class="k-button k-button-bare k-upload-action">
                                                    <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                </button>
                                            </strong>
                                            </script>
                                        </div>
                                    </div>
                                    <div class="form-title">
                                        Quốc kỳ
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                            <span class="help-block">Upload ảnh có định dạng .png !</span>
                                            <span class="help-block warning">@ViewBag.Mess</span>
                                        </div>

                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                            @(Html.Kendo().Upload()
                                                        .Name("file_image")
                                                        .TemplateId("fileTemplate")
                                                        .Events(events => events.Select("onSelect"))
                                                        .Messages(m => m.Select("Upload ảnh"))
                                                        .Multiple(false)
                                                       )

                                            <script id="fileTemplate" type="text/x-kendo-template">
    
                                            <span class='k-progress'></span>
                                            <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                            <span class='k-filename'>#=name#</span>
                                            <strong class="k-upload-status">
                                                <button type="button" class="k-button k-button-bare k-upload-action">
                                                    <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                </button>
                                            </strong>

                                            </script>
                                        </div>

                                        @* <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <div class="checkbox">
                                            <label>
                                                <input id="GroupID" class="colored-danger" name="GroupID" type="checkbox" value="" />
                                                <input type="hidden" value="false" /><span class="text">abc</span></label>
                                        </div>
                                    </div>*@
                                    </div>


                                </div>
                            </div>
                        </form>
                    </div>

                </div>
            </div>
        </div>
    </div>

}

<script>
    function onSelectFile(e) {
        var files = e.files;

        $.each(files, function () {

            if (this.extension.toLowerCase() != ".xml") {
                $('#modal-warning-xml').modal('show')
                e.preventDefault();
            }

        });
    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
                return false;
            }
            return true;
        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>


<div class="modal fade modal-message modal-warning" id="modal-warning-xml" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .xml !
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .gif, .jpeg, .jpg, .png !
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

@section PageScripts{

    <!--Jquery Select2-->
    <script src="/Static/admin/assets/js/select2/select2.js"></script>

    <!--Bootstrap Date Picker-->
    <script src="/Static/admin/assets/js/datetime/bootstrap-datepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <script>

        //--Bootstrap Date Picker--
        $('.date-picker').datepicker();

        $(document).ready(function () {
            $("#websites").addClass("active open");
            $("#langs").addClass("active");
        });

    </script>



}